# This file created by conda-build 24.3.0
# meta.yaml template originally from:
# /home/runner/work/distributions/distributions/plugin/conda-recipe, last modified Sun Nov  2 02:46:29 2025
# ------------------------------------------------

package:
  name: q2-fondue
  version: 2026.1.0.dev0
source:
  path: /home/runner/work/distributions/distributions/plugin
build:
  script: 'make VERBOSE=1

    make install

    '
  string: py310hab7d899_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 hda65f42_8
    - ca-certificates 2025.10.5 hbd8a1cb_0
    - importlib-metadata 8.7.0 pyhe01879c_1
    - ld_impl_linux-64 2.44 h1aa0949_4
    - libexpat 2.7.1 hecca717_0
    - libffi 3.5.2 h9ec8514_0
    - libgcc 15.2.0 h767d61c_7
    - libgcc-ng 15.2.0 h69a702a_7
    - libgomp 15.2.0 h767d61c_7
    - liblzma 5.8.1 hb9d3cd8_2
    - libnsl 2.0.1 hb9d3cd8_1
    - libsqlite 3.50.4 h0c1763c_0
    - libstdcxx 15.2.0 h8f9b012_7
    - libuuid 2.41.2 he9a06e4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.3.1 hb9d3cd8_2
    - ncurses 6.5 h2d0b736_3
    - openssl 3.5.4 h26f9b46_0
    - packaging 25.0 pyh29332c3_1
    - pip 25.2 pyh8b19718_0
    - python 3.10.19 h3c07f61_2_cpython
    - readline 8.2 h8c095d6_2
    - setuptools 80.9.0 pyhff2d567_0
    - tk 8.6.13 noxft_hd72426e_102
    - tomli 2.3.0 pyhcf101f3_0
    - tzdata 2025b h78e105d_0
    - versioningit 3.3.0 pyhd8ed1ab_0
    - wheel 0.45.1 pyhd8ed1ab_1
    - zipp 3.23.0 pyhd8ed1ab_0
    - zstd 1.5.7 hb8e6e7a_2
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 hda65f42_8
    - ca-certificates 2025.10.5 hbd8a1cb_0
    - importlib-metadata 8.7.0 pyhe01879c_1
    - ld_impl_linux-64 2.44 h1aa0949_4
    - libexpat 2.7.1 hecca717_0
    - libffi 3.5.2 h9ec8514_0
    - libgcc 15.2.0 h767d61c_7
    - libgcc-ng 15.2.0 h69a702a_7
    - libgomp 15.2.0 h767d61c_7
    - liblzma 5.8.1 hb9d3cd8_2
    - libnsl 2.0.1 hb9d3cd8_1
    - libsqlite 3.50.4 h0c1763c_0
    - libstdcxx 15.2.0 h8f9b012_7
    - libuuid 2.41.2 he9a06e4_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.3.1 hb9d3cd8_2
    - ncurses 6.5 h2d0b736_3
    - openssl 3.5.4 h26f9b46_0
    - packaging 25.0 pyh29332c3_1
    - pip 25.2 pyh8b19718_0
    - python 3.10.19 h3c07f61_2_cpython
    - readline 8.2 h8c095d6_2
    - setuptools 80.9.0 pyhff2d567_0
    - tk 8.6.13 noxft_hd72426e_102
    - tomli 2.3.0 pyhcf101f3_0
    - tzdata 2025b h78e105d_0
    - versioningit 3.3.0 pyhd8ed1ab_0
    - wheel 0.45.1 pyhd8ed1ab_1
    - zipp 3.23.0 pyhd8ed1ab_0
    - zstd 1.5.7 hb8e6e7a_2
  run:
    - entrezpy 2.1.3.*
    - python >=3.10,<3.11.0a0
    - python-dotenv
    - python_abi 3.10.* *_cp310
    - pyzotero
    - q2-types >=2026.1.0.dev0
    - qiime2 >=2026.1.0.dev0
    - tqdm 4.67.1.*
    - xmltodict
test:
  commands:
    - pytest --cov q2_fondue --cov-report xml:coverage.xml --pyargs q2_fondue
  imports:
    - q2_fondue
    - qiime2.plugins.fondue
  requires:
    - coverage
    - parameterized
    - pytest-cov
about:
  home: https://github.com/bokulich-lab/q2-fondue
  license: BSD-3-Clause
  license_family: BSD
extra:
  copy_test_source_files: true
  final: true
